Skip to main content
POST
Create environment file

Authorizations

Authorization
string
header
required

Organization or personal API key from Settings → API Keys.

Headers

X-Replicas-Api-Version
enum<string>

API version. 2026-10-07 returns snake_case responses. See versioning.

Available options:
2026-10-07

Path Parameters

environment_id
string
required

Environment UUID, or the literal string global.

Body

application/json

Request body for creating an environment file. Maximum content size is 64 KB (65,536 bytes).

name
string
required
path
string
required

Destination path inside the workspace, e.g. ~/AGENTS.md

content
string
required

File contents (≤ 64 KB)

Response

File created

environment_file
object
required

A file dropped into the workspace at the configured path when the workspace is provisioned.